Page MenuHomePhabricator

Fix misleading help text talking about yellow/blue knobs
Closed, ResolvedPublic1 Estimated Story Points

Description

Multiple scripts intentionally change the yellow/blue color scheme RevisionSlider is using:

VisualEditor

These overrides are in the VisualEditor extension: https://phabricator.wikimedia.org/diffusion/EVED/browse/master/modules/ve-mw/preinit/styles/ve.init.mw.DiffPage.less$32
Impact: At the moment, this is available to all users that have the "Visual differences" Beta feature enabled. The moment this is not in Beta any more, it will be available to all users.

Schnark

The code that overrides our colors: https://de.wikipedia.org/wiki/Benutzer:Schnark/js/diff.js
Impact: This is only available to users that have the user script set up. Installation instructions are here: https://de.wikipedia.org/wiki/Benutzer:Schnark/js/diff

What's the issue?

As far as I can see only one: some help text talks about yellow and blue knobs. Users actually reported this: https://www.mediawiki.org/wiki/Topic:Vifffq6tmq582jkw

Event Timeline

Restricted Application added projects: archived--TCB-Team, Design. · View Herald TranscriptMar 14 2020, 2:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 579730 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/RevisionSlider@master] Update help text talking about specific colors

https://gerrit.wikimedia.org/r/579730

thiemowmde moved this task from Incoming to Doing on the Revision-Slider board.Mar 14 2020, 2:03 PM
thiemowmde moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2020-03-04 board.

Change 579730 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Update help text talking about specific colors

https://gerrit.wikimedia.org/r/579730

WMDE-Fisch set the point value for this task to 1.Mar 17 2020, 11:24 AM
thiemowmde closed this task as Resolved.Mar 17 2020, 12:38 PM
thiemowmde moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-03-04 board.